%define 	name	ploticus
%define 	version	2.02
%define		shortv	202
%define		release	1

%define		prefabsdir	%{_datadir}/%{name}

Summary:	Ploticus data display engine.
Name:		%{name}
Version: 	%{version}
Release: 	%{release}
URL: 		http://ploticus.sourceforge.net/
Copyright:	GPL
Vendor:		Stephen C. Grubb <steve@sgpr.net>
Group: 		Scientific/Presentation
Buildroot: 	%{_tmppath}/%{name}
Packager:	<Christian.Werner@t-online.de>
#Source:	http://ploticus.sourceforge.net/download/plsrc%{shortv}.tar.gz
Source:		plsrc%{shortv}.tar.bz2
Patch0:		ploticus-2.02-hotfix-20020128.patch
Patch1:		ploticus-2.02-Ixincludedir.patch

BuildRequires:	libpng-devel zlib-devel

%description
Ploticus is a free software package that creates graphical data
displays for web pages and intranets, paper reports, posters, slides,
or interactive use. Ploticus is script-driven and can be invoked
automatically (automated) from web servers and other programs.
Ploticus can work with flat ascii or spreadsheet data sets that
can include numerics and text as well as dates and times in a wide
variety of notations. It also has built-in capability of computing
frequency distributions, cross-tabs, medians, quartiles, and curve
fitting.

%ifnarch i586 i686
%package doc
Summary: Documentation about the Ploticus.
Group: Documentation

%description doc
The ploticus-doc package contains documentation about the Ploticus
data display engine.
%endif

%prep
%setup -n plsrc%{shortv}
%patch0 -p1
%patch1 -p1

%build
pushd src
sed -e 's@^PLATFORM.*@PLATFORM = BSD@g' \
  -e 's@^XLIBS.*@XLIBS = -L/usr/X11R6/lib -lX11@g' \
  -e 's@^XINCLUDEDIR.*@XINCLUDEDIR = /usr/X11R6/include@g' \
  -e 's@^SLEEPLIB.*@@g' \
  -e 's@-c @-c $(FLAGS) @g' \
  -e 's@^# GD16LIBS = -lpng -l@GD16LIBS = -lpng -l@g' \
  -e 's@^# GD16H =@GD16H =@g' \
  -e 's@^# ZFLAG = -DWZ@ZFLAG = -DWZ@g' \
  -e 's@^# ZLIB = -lz@ZLIB = -lz@g' \
  -e 's@^ploticus: pl pltab$@# ploticus: pl pltab@g' \
  -e 's@^# ploticus: pl pltab plpng pltabpng@ploticus: pl pltab plpng pltabpng@g' \
  -e 's@^# PREFABS_DIR =.*@PREFABS_DIR = "%{prefabsdir}"@g' \
  < Makefile > Makefile.n
mv Makefile.n Makefile

make FLAGS="$RPM_OPT_FLAGS"
popd

%install
rm -rf $RPM_BUILD_ROOT
BINDIR=$RPM_BUILD_ROOT%{_bindir}
MAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1
PREFABSDIR=$RPM_BUILD_ROOT%{prefabsdir}
mkdir -p $BINDIR
mkdir -p $MAN1DIR
mkdir -p $PREFABSDIR

pushd src
for i in pl pltab plpng pltabpng ; do
   install -s -m 755 $i $BINDIR
done
popd

pushd prefabs
install -m 644 * $PREFABSDIR
popd

pushd man/man1
for i in pl.1 ploticus.1 plpng.1 pltab.1 ; do
   install -m 644 $i $MAN1DIR
done
popd

gzip $MAN1DIR/*.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*.1*
%{prefabsdir}

%ifnarch i586 i686
%files doc
%defattr(-,root,root)
%doc doc/*
%endif

%changelog
* Wed Jan 30 2002 Peter Hanecak <hanecak@megaloman.sk>
- update to 2.02

* Tue Jul  3 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.41

* Thu Jan 18 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.40

* Thu Nov 30 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.39
- dropped unnecessary x11.c patch
- spec: %%{_tmppath} and other macros used

* Sat Sep 02 2000 <Christian.Werner@t-online.de>
- initial spec file
